%define nx_name nx_lsa
%define nx_version 3.4.337
%define nx_release 1

Summary: Driver for NetXen TNIC.
Name: %{nx_name}
Version: %{nx_version}
Release: %{nx_release}
Source: %{name}-%{version}.tar.gz
Vendor: NetXen, Inc.
License: GPL
Group: System Environment/Kernel
Provides: %{name}
URL: http://www.netxen.com
Requires: kernel, bash, nx_nic
Buildroot: %{_tmppath}/%{name}-%{version}/bldroot

%define files_list %{_builddir}/%{name}-%{version}/files.list
%define kernel %(uname -r)
%define netxen_rules /etc/udev/rules.d/99-netxen.rules

%define debug_package %{nil}

%description
This package contains the driver and tools for NetXen's TNIC cards.

%prep
%setup -q

%build
make rpm_build=1

%install
DIR_LIST="/lib/modules/%{kernel}/kernel/drivers/net"
DIR_LIST="$DIR_LIST /usr/local/bin"
DIR_LIST="$DIR_LIST /usr/share/man/man4 /usr/man/man4 /usr/local/man/man4"
rm -rf $RPM_BUILD_ROOT
for dir in $DIR_LIST; do
    mkdir -p $RPM_BUILD_ROOT$dir
done
make PREFIX=$RPM_BUILD_ROOT install
find $RPM_BUILD_ROOT -type f -print | \
    sed -e "s#^$RPM_BUILD_ROOT##" -e "/^\/usr.*\/man\//s/\(.*\)/%doc \1/" \
    > %{files_list}

%files -f %{files_list}
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT

%pre
rm -f %{netxen_rules}

%post
depmod -a

%postun
depmod -a
